<?php
/**
 * EMLOG PRO FREE
 * https://www.emlog.net.cn
 * 2023-03-03 00:18:18
 */

header('Content-Type: text/html; charset=UTF-8');

const EMLOG_ROOT   = __DIR__;
const EMLOG_NET    = 'https://www.emlog.net/';
const EMLOG_NET_CN = 'https://www.emlog.net.cn/';

$act = isset($_GET['action']) ? $_GET['action'] : '';

function W($content, $net = 0) {
	$content = str_replace('www.', '', $content);
	if ($net === 1) {
		$content = str_replace('net.', '', $content);
	}
	return $content;
}

function EMLOG_FREE_FILE($path, $search, $replace) {
	$empath = EMLOG_ROOT . '/' . $path;
	if (file_exists($empath)) {
		$content = file_get_contents($empath);
		$content = str_replace($search, $replace, $content, $count);
		$log = $count . ' | ' . $path;
		if ($count > 0) {
			if (!@file_put_contents($empath, $content)) {
			    $log = '<span>文件权限错误</span> | ' . $path;
			}
		}
	} else {
		$log = '-1 | ' . $path;
	}
	return '<p class="log">' . $log . '</p>';
}

function EMLOG_FREE() {
	$pro = [
		[
			'path'    => 'init.php',
			'search'  => EMLOG_NET,
			'replace' => EMLOG_NET_CN
		],
		[
			'path'    => 'admin/index.php',
			'search'  => EMLOG_NET,
			'replace' => EMLOG_NET_CN
		],
		[
			'path'    => 'admin/globals.php',
			'search'  => EMLOG_NET,
			'replace' => EMLOG_NET_CN
		],
		[
			'path'    => 'admin/store.php',
			'search'  => EMLOG_NET,
			'replace' => EMLOG_NET_CN
		],
		[
			'path'    => 'admin/upgrade.php',
			'search'  => EMLOG_NET,
			'replace' => EMLOG_NET_CN
		],
		[
			'path'    => 'admin/plugin.php',
			'search'  => EMLOG_NET,
			'replace' => EMLOG_NET_CN
		],
		[
			'path'    => 'admin/template.php',
			'search'  => EMLOG_NET,
			'replace' => EMLOG_NET_CN
		],
		[
			'path'    => 'admin/views/index.php',
			'search'  => W(EMLOG_NET_CN, 1),
			'replace' => EMLOG_NET_CN
		],
		[
			'path'    => 'admin/views/index.php',
			'search'  => EMLOG_NET,
			'replace' => EMLOG_NET_CN
		],
		[
			'path'    => 'admin/views/index.php',
			'search'  => W(EMLOG_NET) . 'register',
			'replace' => EMLOG_NET_CN . 'register'
		],
		[
			'path'    => 'admin/views/footer.php',
			'search'  => 'http://www.emlog.net',
			'replace' => EMLOG_NET_CN . '?'
		],
		[
			'path'    => 'admin/views/auth.php',
			'search'  => W(EMLOG_NET),
			'replace' => EMLOG_NET_CN
		],
		[
			'path'    => 'admin/views/auth.php',
			'search'  => EMLOG_NET,
			'replace' => EMLOG_NET_CN
		],
		[
			'path'    => 'admin/views/auth.php',
			'search'  => 'emlog.net<',
			'replace' => 'emlog.net.cn<'
		],
		[
			'path'    => 'admin/views/store_svip.php',
			'search'  => EMLOG_NET,
			'replace' => EMLOG_NET_CN
		],
		[
			'path'    => 'admin/views/store_mine.php',
			'search'  => EMLOG_NET,
			'replace' => EMLOG_NET_CN
		],
		[
			'path'    => 'admin/views/store_tpl.php',
			'search'  => EMLOG_NET,
			'replace' => EMLOG_NET_CN
		],
		[
			'path'    => 'admin/views/store_plu.php',
			'search'  => EMLOG_NET,
			'replace' => EMLOG_NET_CN
		],
		[
			'path'    => 'admin/views/setting_seo.php',
			'search'  => EMLOG_NET,
			'replace' => EMLOG_NET_CN
		],
		[
			'path'    => 'admin/views/setting_api.php',
			'search'  => EMLOG_NET,
			'replace' => EMLOG_NET_CN
		],
		[
			'path'    => 'admin/views/js/common.js',
			'search'  => EMLOG_NET,
			'replace' => EMLOG_NET_CN
		],
		[
			'path'    => 'include/model/store_model.php',
			'search'  => EMLOG_NET,
			'replace' => EMLOG_NET_CN
		],
		[
			'path'    => 'include/lib/emcurl.php',
			'search'  => 'return;',
			'replace' => ''
		],
		[
			'path'    => 'include/lib/emcurl.php',
			'search'  => '0xD',
			'replace' => '0x10'
		],
		[
			'path'    => 'include/lib/register.php',
			'search'  => EMLOG_NET,
			'replace' => EMLOG_NET_CN
		],
		[
			'path'    => 'include/lib/register.php',
			'search'  => 'strlen($emkey) !== self::EMKEY_LEN',
			'replace' => 'empty($emkey)'
		],
		[
			'path'    => 'include/lib/function.base.php',
			'search'  => '$r[\'host\']',
			'replace' => '$r[\'undefined\']'
		],
		[
			'path'    => 'include/lib/function.base.php',
			'search'  => '$a !==',
			'replace' => '$undefined =='
		],
		[
			'path'    => 'include/lib/common.php',
			'search'  => '$r[\'host\']',
			'replace' => '$r[\'undefined\']'
		],
		[
			'path'    => 'include/lib/common.php',
			'search'  => '$a !==',
			'replace' => '$undefined =='
		]
	];
	$log = '';
	foreach ($pro as $key => $vale) {
		$log .= EMLOG_FREE_FILE($vale['path'], $vale['search'], $vale['replace']);
	};
	return $log;
}

?>
<!DOCTYPE HTML>
<html lang="zh-CN">
    <head>
        <meta charset="UTF-8">
        <meta http-equiv="X-UA-Compatible" content="IE=Edge">
        <meta name="viewport" content="width=device-width, initial-scale=1">
		<link rel="shortcut icon" href="https://www.emlog.net.cn/favicon.ico" type="image/x-icon">
        <title>EMLOG PRO 免费版</title>
        <style>
            <!--
            body {
                background-color: #F7F7F7;
                font-family: Arial;
                font-size: 12px;
                line-height: 250%;
            }

            .main {
                background-color: #FFFFFF;
                color: #555555;
                width: 730px;
                margin: 100px auto 30px;
                padding: 10px;
                list-style: none;
                border: #DFDFDF 1px solid;
            }

            #ver {
                font-size: 18px;
                text-align: center;
            }

            li {
                list-style: none;
            }

            li span {
                font-weight: bold;
				text-decoration: underline;
            }

			.log {
				margin: 0px 20px;
				float: left;
				width: 43.5%;
			}

			.log span {
				color: red;
				text-decoration: underline;
			}

            .iteam {
                font-size: 18px;
                font-weight: bold;
                color: #666666;
                border-bottom: #CCCCCC 1px solid;
                padding: 10px;
            }

			.clear {
				clear: both;
			}

			.foot {
				text-align: center;
			}

			.foot a {
				color: #666;
				text-decoration: none;
			}
            -->
        </style>
    </head>
<body>
    <div class="main">
	<?php if (!$act) { ?>
        <p id="ver">EMLOG PRO 免费版</p>
        <div>
            <p class="iteam">说明</p>
            <ul style="color: #ff0000;">
                <li>1. 操作之前，务必对站点全部的文件进行备份</li>
                <li>2. 升级成功后，进入网站后台，输入注册码：<span>任意32个字符</span></li>
                <li>3. 然后就可以免费使用全部功能，包括在线更新、应用商店等</li>
            </ul>
            <form name="form1" method="post" action="emlogvip.php?action=free">
                <p class="iteam">操作</p>
                <ul style="font-size: 14px;">
                    <li>
                        <input type="submit" class="submit" value="开始升级">
                    </li>
                </ul>
            </form>
        </div>
	<?php } if ($act === 'free') { ?>
		<p>
			<p style="font-size: 24px; border-bottom: 1px solid #E6E6E6; padding: 10px 20px;">恭喜！升级成功了!</p>
			<?php echo EMLOG_FREE(); ?>
			<div class="clear"></div>
			<p style="color: red; margin: 15px 20px;">请删除根目录文件：emlogvip.php</p>
			<p style="text-align: right;"><a href="./admin/" style="color: #999999; margin-right: 10px;">登录后台</a></p>
		</p>
	<?php } ?>
    </div>
	<div class="foot">
		<a href="https://www.emlog.net.cn" target="_blank">© EMLOG.NET.CN</a>
	</div>
	<?php
		ini_set('user_agent', EMLOG_NET_CN . 'ver');
		$data = json_decode(file_get_contents(EMLOG_NET_CN . 'ver?' . time()));
		if ($data->ok == 1 && $data->ver != 231228) { ?>
		<script>
			alert('有可用的新版本，请更新！');
			window.location = 'https://www.emlog.net.cn/pro';
		</script>
	<?php } ?>
</body>
</html>